apiVersion: traefik.io/v1alpha1
kind: IngressRouteTCP
metadata:
  name: argocd-route-tcp
  namespace: argocd
spec:
  entryPoints:
    - websecure
  routes:
  - match: HostSNI(`argocd-dev.allarddcs.nl`)
    priority: 10
    services:
    - name: argocd-server
      port: 443
  tls:
    passthrough: true

